class Player {
    constructor() {
        console.info("Test");
    }
}

let player: Player | null = null;

export default () => {
    if (player === null) {
        player = new Player();
    }

    return player;
};
